column {shiny} | R Documentation

## Create a column within a UI definition

### Description

Create a column for use within a `fluidRow` or `fixedRow`

### Usage

    column(width, ..., offset = 0)

### Arguments

`width` | The grid width of the column (must be between 1 and 12)
`...` | Elements to include within the column
`offset` | The number of columns to offset this column from the end of the previous column.

### Value

A column that can be included within a `fluidRow` or `fixedRow`.

### See Also

`fluidRow`, `fixedRow`.

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {

    ui <- fluidPage(
      fluidRow(
        column(4,
          sliderInput("obs", "Number of observations:",
                      min = 1, max = 1000, value = 500)
        ),
        column(8,
          plotOutput("distPlot")
        )
      )
    )

    server <- function(input, output) {
      output$distPlot <- renderPlot({
        hist(rnorm(input$obs))
      })
    }

    shinyApp(ui, server)

    ui <- fluidPage(
      fluidRow(
        column(width = 4,
          "4"
        ),
        column(width = 3, offset = 2,
          "3 offset 2"
        )
      )
    )
    shinyApp(ui, server = function(input, output) { })
    }

[Package shiny version 1.0.5 Index]